Bug 140862 - Kernel 2.6.9-1.6_FC2 hangs after audit line
Kernel 2.6.9-1.6_FC2 hangs after audit line
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-25 13:42 EST by Flo Gleixner
Modified: 2015-01-04 17:13 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 00:27:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output with acpi=noirq (8.82 KB, text/plain)
2004-12-01 12:59 EST, Flo Gleixner
no flags Details
example script to update grub's menu.lst file (3.81 KB, text/plain)
2004-12-01 16:17 EST, Len Brown
no flags Details
Captured boot messages with acpi=on (5.56 KB, text/plain)
2004-12-02 15:33 EST, Flo Gleixner
no flags Details

  None (edit)
Description Flo Gleixner 2004-11-25 13:42:07 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040115

Description of problem:
Installed FC2 from CDs (Kernel 2.6.5-1.358). Updated system via yum.
Tried to boot new kernel, but Machine hangs forever at line:

audit(11014300009.587:0): initialized

Machine is a IPC PowerNote Green795 laptop with a AMD K6-2 500MHz,
128MB Ram.

Flo

Version-Release number of selected component (if applicable):
kernel-2.6.9-1.6

How reproducible:
Always

Steps to Reproduce:
1. boot


Additional info:
Comment 1 Dave Jones 2004-11-27 15:36:28 EST
can you try booting with the boot parameter initcall_debug and see if that
prints out anything useful just before it hangs ?
Comment 2 Flo Gleixner 2004-11-27 20:08:24 EST
Oh, yes, i added the initcall_debug and removed the "quiet" switch. Last some
lines are:

ACPI: Processor: [CPU0] (supports C1, 8 throttling state)
isapnp: scanning for PnP Cards ...
isapnp: No Plug & Play device found

You need more lines or hardware info?

Flo
Comment 3 Dave Jones 2004-11-28 14:32:04 EST
get any further if you boot with acpi=off ?
Comment 4 Flo Gleixner 2004-11-30 14:44:21 EST
Hi,
Thanks, yes this works. But is that a real option for a laptop?
Comment 5 Dave Jones 2004-11-30 22:06:05 EST
I wasnt recommending running with it the whole time, just trying to find
the root cause of the problem.  Intel ACPI folks CC'd. Maybe they have some ideas
where to go next.
Comment 6 Len Brown 2004-11-30 23:03:55 EST
> Updated system via yum

not really sure what kernel we're working with here,
I guess this is an FC2 kernel that is newer than 2.6.9?
Does kernel.org 2.6.9 do the same?

Please confirm that "acpi=noirq" is sufficient workaround to boot.

a complete dmesg would be helpful.
Even better, a console capture of the failure, if possible.
Comment 7 Dave Jones 2004-11-30 23:05:22 EST
Len -- the FC2 kernel is at 2.6.9-ac10
Comment 8 Flo Gleixner 2004-12-01 12:59:52 EST
Created attachment 107725 [details]
dmesg output with acpi=noirq
Comment 9 Flo Gleixner 2004-12-01 13:03:30 EST
acpi=noirq worked. I'll try to configure grub and the kernel to use the serial
port. Then i can give you some more bootmessages.
Comment 10 Len Brown 2004-12-01 16:17:56 EST
Created attachment 107736 [details]
example script to update grub's menu.lst file

Here's the script I use to update grub's config file on my test machines.
Note that it also adds "debug" to the cmdline so that we see everything
over the wire that dmesg would see.  Hack at will:-)
Comment 11 Flo Gleixner 2004-12-02 15:33:09 EST
Created attachment 107785 [details]
Captured boot messages with acpi=on
Comment 12 Dave Jones 2005-04-16 00:27:15 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.